package java2gomd;

/**
* Simple class inherited by every real-world object created.
* Used only for making all object share the same connection.
* @version 1.0
* @author roeles
* @see java2gomd
*/
class GomdObject
{
	public GomdClient clientConnection; //connection to this cluster

	public String request;

	/**
	* Attaches the given GomdClient to the local variable clientConnection
	*/
	public GomdObject(GomdClient c)
	{
		clientConnection = c;
	}
}
