package java2gomd;
/**
* Indicates you somehow have strange characters in your request
* @version 1.0
* @author roeles
*/
public class IllegalRequestCharsException extends IllegalRequestException
{
	/**
	* Constructor
	*/
	public IllegalRequestCharsException()
	{
	}

	/**
	* Show the user wich chars are ok to use
	*/
	public char[] getLegalChars()
	{
		char[] c = {'a', 'b'};
		return c;
	}

	/**
	* Check if the specified char is ok to use
	* @param c The character to check
	* @return boolean indicating wether the char checked if valid(true) or unvalid(false)
	*/
	public boolean validateChar(char c)
	{
		return true;
	}

	/**
	* Check if the specified String is ok to use
	* @param s The String to validate
	* @return int[] with the indexes wich are not ok to use. Returns -1 when all is ok
	*/
	public int[] validateString(String s)
	{
		int b[] = {-1, -1};
		return b;
	}
}